{
    "scan": {
        "analyzer-version-clang": "18.1.7",
        "analyzer-version-cppcheck": "2.14.2",
        "analyzer-version-gcc": "14.1.1",
        "analyzer-version-gcc-analyzer": "14.1.1",
        "analyzer-version-shellcheck": "0.10.0",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-171.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "kf5-kwallet-5.116.0-1.fc41",
        "store-results-to": "/tmp/tmpp1gax4w2/kf5-kwallet-5.116.0-1.fc41.tar.xz",
        "time-created": "2024-07-03 13:51:02",
        "time-finished": "2024-07-03 13:52:42",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmpp1gax4w2/kf5-kwallet-5.116.0-1.fc41.tar.xz' '--gcc-analyze' '/tmp/tmpp1gax4w2/kf5-kwallet-5.116.0-1.fc41.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "3d350b55d488abb79bfbd536419125876baf13af",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kwallet-5.116.0-build/kwallet-5.116.0/src/api/KWallet/kwallet.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In static member function ‘static void KWallet::Wallet::changePassword(const QString&, WId)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kwallet-5.116.0-build/kwallet-5.116.0/src/api/KWallet/kwallet.cpp",
                    "line": 351,
                    "column": 56,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘static void KWindowSystem::allowExternalProcessWindowActivation(int)’ is deprecated: Since 5.104. Not implemented",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  351 |     KWindowSystem::allowExternalProcessWindowActivation();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |     ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kwallet-5.116.0-build/kwallet-5.116.0/src/api/KWallet/kwallet.cpp",
                    "line": 21,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/KF5/KWindowSystem/kwindowsystem.h",
                    "line": 739,
                    "column": 17,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  739 |     static void allowExternalProcessWindowActivation(int pid = -1);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                 ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  349|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  350|       // Make sure the password prompt window will be visible and activated",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  351|->     KWindowSystem::allowExternalProcessWindowActivation();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  352|   #if HAVE_KSECRETSSERVICE",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  353|       if (walletLauncher()->m_useKSecretsService) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "3d350b55d488abb79bfbd536419125876baf13af",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kwallet-5.116.0-build/kwallet-5.116.0/src/api/KWallet/kwallet.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In static member function ‘static KWallet::Wallet* KWallet::Wallet::openWallet(const QString&, WId, OpenType)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kwallet-5.116.0-build/kwallet-5.116.0/src/api/KWallet/kwallet.cpp",
                    "line": 501,
                    "column": 60,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘static void KWindowSystem::allowExternalProcessWindowActivation(int)’ is deprecated: Since 5.104. Not implemented",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  501 |         KWindowSystem::allowExternalProcessWindowActivation();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |         ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/KF5/KWindowSystem/kwindowsystem.h",
                    "line": 739,
                    "column": 17,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  739 |     static void allowExternalProcessWindowActivation(int pid = -1);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                 ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  499|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  500|           // Make sure the password prompt window will be visible and activated",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  501|->         KWindowSystem::allowExternalProcessWindowActivation();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  502|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  503|           org::kde::KWallet &interface = walletLauncher->getInterface();",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "3d350b55d488abb79bfbd536419125876baf13af",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kwallet-5.116.0-build/kwallet-5.116.0/src/api/KWallet/kwallet.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In member function ‘virtual void KWallet::Wallet::requestChangePassword(WId)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kwallet-5.116.0-build/kwallet-5.116.0/src/api/KWallet/kwallet.cpp",
                    "line": 721,
                    "column": 60,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘static void KWindowSystem::allowExternalProcessWindowActivation(int)’ is deprecated: Since 5.104. Not implemented",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  721 |         KWindowSystem::allowExternalProcessWindowActivation();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |         ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/KF5/KWindowSystem/kwindowsystem.h",
                    "line": 739,
                    "column": 17,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  739 |     static void allowExternalProcessWindowActivation(int pid = -1);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                 ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  719|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  720|           // Make sure the password prompt window will be visible and activated",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  721|->         KWindowSystem::allowExternalProcessWindowActivation();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  722|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  723|           walletLauncher()->getInterface().changePassword(d->name, (qlonglong)w, appid());",
                    "verbosity_level": 1
                }
            ]
        }
    ]
}
